Update an appointment status
patch
/Appointment/{id}
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Updates an appointment status and optionally adds a cancellation reason using a FHIRPath Patch request.Request
Path Parameters
-
id(required): string
The logical resource ID.
Header Parameters
-
If-Match(required): string
The weak ETag in
W/"version"format. -
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
Supported Media Types
- application/json-patch+json
- application/fhir+json
Root Schema : schema
Type:
objectThe FHIR parameters payload for the supported appointment status
Show Source
PATCH request.-
parameter(required): array
parameter
Minimum Number of Items:
1Maximum Number of Items:2 -
resourceType(required): string
Allowed Values:
[ "Parameters" ]
Nested Schema : parameter
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2Nested Schema : items
Type:
Show Source
object-
name: string
Allowed Values:
[ "operation" ] -
part: array
part
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Root Schema : schema
Type:
objectThe FHIR parameters payload for the supported appointment status
Show Source
PATCH request.-
parameter(required): array
parameter
Minimum Number of Items:
1Maximum Number of Items:2 -
resourceType(required): string
Allowed Values:
[ "Parameters" ]
Nested Schema : parameter
Type:
arrayMinimum Number of Items:
1Maximum Number of Items:
Show Source
2Nested Schema : items
Type:
Show Source
object-
name: string
Allowed Values:
[ "operation" ] -
part: array
part
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
Response
Supported Media Types
- application/fhir+json
- application/json
200 Response
The appointment update is accepted; the current implementation returns an empty JSON object.
Root Schema : EmptyResponseForAppointment
Type:
object400 Response
The FHIR OperationOutcome.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
412 Response
The FHIR OperationOutcome for an invalid or missing
If-Match.Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source
500 Response
The FHIR OperationOutcome.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source